#include <iostream>
#include "m2x2.h"
#include "circle.h"
#include "tiffImage.h"
#include "dlli.h"

using namespace std;

void main() {

  int w = 128, h = 128;
  unsigned int colors[3] = {0xFF0000FF, 0xFF00FF00, 0xFFFF0000};
  TiffImage *red = new TiffImage(w, h, colors[0]);
  red->Save("images/red.tif");
  TiffImage *green= new TiffImage(w, h, colors[1]);
  green->Save("images/green.tif");
  TiffImage *blue = new TiffImage(w, h, colors[2]);
  blue->Save("images/blue.tif");

  DLLI *dlli = new DLLI;
  dlli->InsertLast(red);
  dlli->InsertLast(green);
  dlli->InsertLast(blue);

  dlli->SaveAllImages();

  delete dlli;

  cerr << "INFO: end of program" << endl;

}